<?php $__env->startSection('title', localize('application')); ?>
<?php $__env->startPush('css'); ?>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('setting_content'); ?>

    <!--/.Content Header (Page header)-->
    <div class="body-content pt-0">
        <div class="card mb-4">
            <div class="card-header">
                <div class="d-flex justify-content-between align-items-center">
                    <div>
                        <h6 class="fs-17 fw-semi-bold mb-0"><?php echo e(__('Edit Application')); ?></h6>
                    </div>
                </div>
            </div>

            <form action="<?php echo e(route('applications.update', $app->id)); ?>" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-8 col-12">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group mb-2">
                                        <label for="title" class="col-form-label"><?php echo e(localize('title')); ?><span
                                                class="text-danger">*</span></label>
                                        <input type="text" class="form-control" id="title" name="title"
                                            value="<?php echo e($app->title); ?>" required>

                                        <?php if($errors->has('title')): ?>
                                            <div class="error text-danger">
                                                <?php echo e($errors->first('title')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                    <div class="form-group mb-2">
                                        <label for="phone" class="col-form-label"><?php echo e(localize('phone')); ?><span
                                                class="text-danger">*</span></label>
                                        <input type="text" class="form-control" id="phone" name="phone"
                                            value="<?php echo e($app->phone); ?>" required>

                                        <?php if($errors->has('phone')): ?>
                                            <div class="error text-danger">
                                                <?php echo e($errors->first('phone')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                    <div class="form-group mb-2">
                                        <label for="address" class="col-form-label"><?php echo e(localize('address')); ?><span
                                                class="text-danger">*</span></label>
                                        <input type="text" class="form-control" id="address" name="address"
                                            value="<?php echo e($app->address); ?>" required>
                                        <?php if($errors->has('address')): ?>
                                            <div class="error text-danger">
                                                <?php echo e($errors->first('address')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                    <div class="form-group mb-2">
                                        <label for="website" class="col-form-label"><?php echo e(localize('website')); ?></label>
                                        <input type="text" class="form-control" id="website" name="website"
                                            value="<?php echo e($app->website); ?>">
                                        <?php if($errors->has('website')): ?>
                                            <div class="error text-danger">
                                                <?php echo e($errors->first('website')); ?></div>
                                        <?php endif; ?>
                                    </div>

                                    <div class="form-group mb-2">
                                        <label for="copy_right"
                                            class="col-form-label"><?php echo e(localize('copy_right')); ?></label>
                                            <textarea name="copy_right" id="copy_right" class="form-control" placeholder="<?php echo e(localize('copy_right')); ?>"><?php echo e($app->copy_right); ?></textarea>
                                        <?php if($errors->has('copy_right')): ?>
                                            <div class="error text-danger">
                                                <?php echo e($errors->first('copy_right')); ?></div>
                                        <?php endif; ?>
                                    </div>

                                    <div class="form-group mb-2">
                                        <label for="preloader_status"
                                            class="col-form-label"><?php echo e(localize('preloader_status')); ?></label>

                                        <select name="preloader_status" id="preloader_status" class="select-basic-single">
                                            <option value="" disabled><?php echo e(localize('preloader_status')); ?></option>
                                            <option value="1" <?php echo e($app->preloader_status == '1' ? 'selected' : ''); ?>>
                                                <?php echo e(localize('enable')); ?>

                                            </option>
                                            <option value="0" <?php echo e($app->preloader_status == '0' ? 'selected' : ''); ?>>
                                                <?php echo e(localize('disable')); ?>

                                            </option>
                                        </select>

                                        <?php if($errors->has('preloader_status')): ?>
                                            <div class="error text-danger">
                                                <?php echo e($errors->first('preloader_status')); ?></div>
                                        <?php endif; ?>
                                    </div>

                                    <div class="form-group mb-2">
                                        <label for=""
                                            class="form-check-label text-start ps-0 pb-1"><?php echo e(localize('fixed_date')); ?></label>
                                        <div class="toggle-example">
                                            <input type="checkbox" id="fixed_date"
                                                <?php echo e($app != null && $app->fixed_date == true ? 'checked' : ''); ?>

                                                data-bs-toggle="toggle" data-on="Enable" data-off="Disable"
                                                data-onstyle="success" data-offstyle="danger">
                                        </div>
                                    </div>

                                    <div class="form-group mb-2 fixed_date_show">
                                        <span>Please fixed your sale date</span>
                                        <input type="text" class="form-control date_picker" name="fixed_date" required
                                            placeholder=" <?php echo e(localize('select_date')); ?>" value="<?php echo e($app->fixed_date); ?>">

                                        <?php if($errors->has('fixed_date')): ?>
                                            <div class="error text-danger">
                                                <?php echo e($errors->first('fixed_date')); ?></div>
                                        <?php endif; ?>
                                    </div>

                                    <div class="form-group mb-2">
                                        <label for=""
                                            class="col-form-label fw-semibold"><?php echo e(localize('favicon')); ?></label>
                                        <input type="button" id="removeFavicon" value="x" class="remove-icon d-none" />
                                        <img id="favicon_preview" src="<?php echo e(app_setting()->favicon); ?>"
                                            data-default_src="<?php echo e(app_setting()->favicon); ?>" class="img-thumbnail"
                                            alt="Sidebar-Logo-Preview" />

                                        <div class="input-group">
                                            <input type="file" class="form-control" name="favicon" id="favicon">
                                            <label class="input-group-text" for="favicon"><?php echo e(localize('upload')); ?></label>

                                            <?php if($errors->has('favicon')): ?>
                                                <div class="error text-danger">
                                                    <?php echo e($errors->first('favicon')); ?></div>
                                            <?php endif; ?>
                                        </div>
                                        <span>Recommended pixel (60 X 60)</span>
                                    </div>

                                    
                                    
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group mb-2">
                                        <label for="email" class="col-form-label"><?php echo e(localize('email_address')); ?><span
                                                class="text-danger">*</span></label>
                                        <input type="email" class="form-control" id="email" name="email"
                                            value="<?php echo e($app->email); ?>" required>

                                        <?php if($errors->has('email')): ?>
                                            <div class="error text-danger">
                                                <?php echo e($errors->first('email')); ?></div>
                                        <?php endif; ?>
                                    </div>
                                    <div class="form-group mb-2">
                                        <label for="footer_text"
                                            class="col-form-label"><?php echo e(localize('footer_text')); ?><span
                                                class="text-danger">*</span></label>
                                        <input type="text" class="form-control" name="footer_text" required
                                            value="<?php echo e($app->footer_text); ?>">

                                        <?php if($errors->has('footer_text')): ?>
                                            <div class="error text-danger">
                                                <?php echo e($errors->first('footer_text')); ?></div>
                                        <?php endif; ?>
                                    </div>

                                    <div class="form-group mb-2">
                                        <label for="" class="col-form-label"><?php echo e(localize('direction')); ?></label>
                                        <select name="rtl_ltr" id="rtl_ltr" class="select-basic-single" required>
                                            <option value="" selected disabled><?php echo e(localize('select_one')); ?>

                                            </option>
                                            <option value="1" <?php echo e($app->rtl_ltr == 1 ? 'selected' : ''); ?>> LTR
                                            </option>
                                            <option value="2" <?php echo e($app->rtl_ltr == 2 ? 'selected' : ''); ?>> RTL
                                            </option>
                                        </select>
                                    </div>

                                    <div class="form-group mb-2">
                                        <label for="time_zone" class="col-form-label"><?php echo e(localize('time_zone')); ?><span
                                                class="text-danger">*</span></label>
                                        <select name="time_zone" id="time_zone" class="select-basic-single" required>
                                            <option value="" disabled><?php echo e(localize('time_zone')); ?></option>
                                            <?php $__currentLoopData = timezone_identifiers_list(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($value); ?>" <?php echo e($app->time_zone == $value ? 'selected' : ''); ?>>
                                                    <?php echo e(htmlspecialchars($value, ENT_QUOTES, 'UTF-8')); ?>

                                                </option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>

                                        <?php if($errors->has('time_zone')): ?>
                                            <div class="error text-danger">
                                                <?php echo e($errors->first('time_zone')); ?></div>
                                        <?php endif; ?>
                                    </div>

                                    <div class="form-group mb-2">
                                        <label for="newstriker_status"
                                            class="col-form-label"><?php echo e(localize('news_tricker_status')); ?></label>

                                        <select name="newstriker_status" id="newstriker_status" class="select-basic-single">
                                            <option value="" disabled><?php echo e(localize('news_tricker_status')); ?></option>
                                            <option value="1" <?php echo e($app->newstriker_status == '1' ? 'selected' : ''); ?>>
                                                <?php echo e(localize('enable')); ?>

                                            </option>
                                            <option value="0" <?php echo e($app->newstriker_status == '0' ? 'selected' : ''); ?>>
                                                <?php echo e(localize('disable')); ?>

                                            </option>
                                        </select>
                                        
                                        <?php if($errors->has('newstriker_status')): ?>
                                            <div class="error text-danger">
                                                <?php echo e($errors->first('newstriker_status')); ?></div>
                                        <?php endif; ?>
                                    </div>

                                    <div class="form-group mb-2">
                                        <label for="speed_optimization"
                                            class="col-form-label"><?php echo e(localize('speed_optimization')); ?></label>
                                        
                                        <select name="speed_optimization" id="speed_optimization" class="select-basic-single">
                                            <option value="" disabled><?php echo e(localize('speed_optimization')); ?></option>
                                            <option value="1" <?php echo e($app->speed_optimization == '1' ? 'selected' : ''); ?>>
                                                <?php echo e(localize('yes')); ?>

                                            </option>
                                            <option value="0" <?php echo e($app->speed_optimization == '0' ? 'selected' : ''); ?>>
                                                <?php echo e(localize('no')); ?>

                                            </option>
                                        </select>

                                        <?php if($errors->has('speed_optimization')): ?>
                                            <div class="error text-danger">
                                                <?php echo e($errors->first('speed_optimization')); ?></div>
                                        <?php endif; ?>
                                    </div>

                                    <div class="form-group mb-2">
                                        <label for=""
                                            class="col-form-label fw-semibold"><?php echo e(localize('login_image')); ?></label>

                                        <input type="button" id="loginImage" value="x" class="remove-icon d-none" />
                                        <img id="login_image_preview" src="<?php echo e(app_setting()->login_image); ?>"
                                            data-default_src="<?php echo e(app_setting()->login_image); ?>" class="img-thumbnail"
                                            alt="Login-Image-Preview" />

                                        <div class="input-group">
                                            <input type="file" class="form-control" name="login_image" id="login_image">
                                            <label class="input-group-text" for="login_image"><?php echo e(localize('upload')); ?></label>
                                        </div>
                                    </div>

                                </div>
                            </div>

                        </div>
                        <div class="col-md-4 col-12">
                            <div class="form-group mb-2">
                                <label for="" class="col-form-label fw-semibold"><?php echo e(localize('logo')); ?></label>
                                <input type="button" id="removeLogo" value="x" class="remove-icon d-none" />
                                <img id="logo_preview" src="<?php echo e(app_setting()->logo); ?>"
                                    data-default_src="<?php echo e(app_setting()->logo); ?>" class="img-thumbnail"
                                    alt="Logo-Preview" />

                                <div class="input-group">
                                    <input type="file" class="form-control" name="logo" id="logo">
                                    <label class="input-group-text" for="logo"><?php echo e(localize('upload')); ?></label>

                                    <?php if($errors->has('image')): ?>
                                        <div class="error text-danger">
                                            <?php echo e($errors->first('image')); ?></div>
                                    <?php endif; ?>
                                </div>
                                <span>Recommended pixel (135 X 45)</span>
                            </div>

                            <div class="form-group mb-2">
                                <label for=""
                                    class="col-form-label fw-semibold"><?php echo e(localize('sidebar_logo')); ?></label>

                                <input type="button" id="sidebarLogo" value="x" class="remove-icon d-none" />
                                <img id="sidebar_logo_preview" src="<?php echo e(app_setting()->sidebar_logo); ?>"
                                    data-default_src="<?php echo e(app_setting()->sidebar_logo); ?>" class="img-thumbnail"
                                    alt="Sidebar-Logo-Preview" />

                                <div class="input-group">
                                    <input type="file" class="form-control" name="sidebar_logo" id="sidebar_logo">
                                    <label class="input-group-text" for="sidebar_logo"><?php echo e(localize('upload')); ?></label>
                                </div>
                                <span>Recommended pixel (150 X 45)</span>
                            </div>

                            <div class="form-group mb-2">
                                <label for=""
                                    class="col-form-label fw-semibold"><?php echo e(localize('footer_logo')); ?></label>

                                <input type="button" id="footerLogo" value="x" class="remove-icon d-none" />
                                <img id="footer_logo_preview" src="<?php echo e(app_setting()->footer_logo); ?>"
                                    data-default_src="<?php echo e(app_setting()->footer_logo); ?>" class="img-thumbnail"
                                    alt="Footer-Logo-Preview" />

                                <div class="input-group">
                                    <input type="file" class="form-control" name="footer_logo" id="footer_logo">
                                    <label class="input-group-text" for="footer_logo"><?php echo e(localize('upload')); ?></label>
                                </div>
                                <span>Recommended pixel (150 X 45)</span>
                            </div>

                            <div class="form-group mb-2">
                                <label for=""
                                    class="col-form-label fw-semibold"><?php echo e(localize('app_logo')); ?></label>

                                <input type="button" id="appLogo" value="x" class="remove-icon d-none" />
                                <img id="app_logo_preview" src="<?php echo e(app_setting()->app_logo); ?>"
                                    data-default_src="<?php echo e(app_setting()->app_logo); ?>" class="img-thumbnail"
                                    alt="App-Logo-Preview" />

                                <div class="input-group">
                                    <input type="file" class="form-control" name="app_logo" id="app_logo">
                                    <label class="input-group-text" for="app_logo"><?php echo e(localize('upload')); ?></label>
                                </div>
                                <span>Recommended pixel (150 X 45)</span>
                            </div>

                            <div class="form-group mb-2">
                                <label for=""
                                    class="col-form-label fw-semibold"><?php echo e(localize('mobile_menu_image')); ?></label>

                                <input type="button" id="mobileMenuImage" value="x" class="remove-icon d-none" />
                                <img id="mobile_menu_image_preview" src="<?php echo e(app_setting()->mobile_menu_image); ?>"
                                    data-default_src="<?php echo e(app_setting()->mobile_menu_image); ?>" class="img-thumbnail"
                                    alt="Mobile-Menu-Image-Preview" />

                                <div class="input-group">
                                    <input type="file" class="form-control" name="mobile_menu_image" id="mobile_menu_image">
                                    <label class="input-group-text" for="mobile_menu_image"><?php echo e(localize('upload')); ?></label>
                                </div>
                                <span>Recommended pixel (150 X 45)</span>
                            </div>

                            <div class="form-group mb-2">
                                <label for=""
                                    class="col-form-label fw-semibold"><?php echo e(localize('sidebar_collapsed_logo')); ?></label>

                                <input type="button" id="sidebarCollapsedLogo" value="x"
                                    class="remove-icon d-none" />
                                <img id="sidebar_collapsed_logo_preview"
                                    src="<?php echo e(app_setting()->sidebar_collapsed_logo); ?>"
                                    data-default_src="<?php echo e(app_setting()->sidebar_collapsed_logo); ?>" class="img-thumbnail"
                                    alt="Sidebar-Collapsed-Logo-Preview" />

                                <div class="input-group">
                                    <input type="file" class="form-control" name="sidebar_collapsed_logo"
                                        id="sidebar_collapsed_logo">
                                    <label class="input-group-text"
                                        for="sidebar_collapsed_logo"><?php echo e(localize('upload')); ?></label>
                                </div>
                                <span>Recommended pixel (90px X 90px)</span>
                            </div>

                            
                        </div>
                    </div>
                </div>
                <div class="card-footer form-footer">
                    <button type="submit" class="btn btn-success"><?php echo e(localize('submit')); ?></button>
                </div>
            </form>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('js'); ?>
    <script src="<?php echo e(module_asset('Setting/js/app.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('setting::settings', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/admin/modules/Setting/Resources/views/application.blade.php ENDPATH**/ ?>