<?php $__env->startSection('title', localize('dashboard')); ?>
<?php $__env->startPush('css'); ?>
    <link href="<?php echo e(asset('backend/assets/custom.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('backend/assets/plugins/apexcharts/dist/apexcharts.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
    <?php echo $__env->make('backend.layouts.common.message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    
    <section class="top_card_section my-3 bg-white p-3 p-xl-4">
        <div class="card">  
            <a target="_blank" href="<?php echo e(route('news.index')); ?>">         
                <div class="card-body d-flex justify-content-center align-items-center gap-3">
                    <div class="counter_icon">
                        <i class="fas fa-tasks"></i>
                    </div>
                    <div>
                        <h5 class="card-title text-capitalize fw-bold fs-19"><?php echo e(localize('total_posts')); ?></h5>
                        <p class="card-text fw-semi-bold"><?php echo e($total_post); ?></p> 
                    </div>               
                </div>
            </a>   
        </div>
        <div class="card"> 
            <a href="<?php echo e(route('comments.comments_manage')); ?>" target="_blank">
                <div class="card-body d-flex justify-content-center align-items-center gap-3">
                    <div class="counter_icon">
                        <i class="fas fa-comments"></i>
                    </div>
                    <div>
                        <h5 class="card-title text-capitalize fw-bold fs-19"><?php echo e(localize('total_comments')); ?></h5>
                        <p class="card-text fw-semi-bold"><?php echo e($total_comments); ?></p> 
                    </div>               
                </div>
            </a>             
            
        </div>
        <div class="card"> 
            <a href="<?php echo e(route('subscription.subscription_manage')); ?>" target="_blank">
                <div class="card-body d-flex justify-content-center align-items-center gap-3">
                    <div class="counter_icon">
                        <i class="fas fa-tasks"></i>
                    </div>
                    <div>
                        <h5 class="card-title text-capitalize fw-bold fs-19"><?php echo e(localize('total_subscribers')); ?></h5>
                        <p class="card-text fw-semi-bold"><?php echo e($total_subscribers); ?></p> 
                    </div>               
                </div>
            </a> 
        </div>
        <div class="card"> 
            <a href="<?php echo e(route('role.user.list')); ?>" target="_blank">
                <div class="card-body d-flex justify-content-center align-items-center gap-3">
                    <div class="counter_icon">
                        <i class="fas fa-users"></i>
                    </div>
                    <div>
                        <h5 class="card-title text-capitalize fw-bold fs-19"><?php echo e(localize('total_users')); ?></h5>
                        <p class="card-text fw-semi-bold"><?php echo e($user->total_users); ?></p> 
                    </div>               
                </div>
            </a>              
            
        </div>
        <div class="card">              
            <div class="card-body d-flex justify-content-center align-items-center gap-3">
                <div class="counter_icon">
                    <i class="fa-solid fa-pen-to-square"></i>
                </div>
                <div>
                    <h5 class="card-title text-capitalize fw-bold fs-19"><?php echo e(localize('todays_posts')); ?></h5>
                    <p class="card-text fw-semi-bold"><?php echo e($today_post); ?></p> 
                </div>               
            </div>
        </div>
        <div class="card">              
            <div class="card-body d-flex justify-content-center align-items-center gap-3">
                <div class="counter_icon">
                    <i class="fa-regular fa-comment-dots"></i>
                </div>
                <div>
                    <h5 class="card-title text-capitalize fw-bold fs-19"><?php echo e(localize('todays_comments')); ?></h5>
                    <p class="card-text fw-semi-bold"><?php echo e($today_comments); ?></p> 
                </div>               
            </div>
        </div>
        <div class="card">              
            <div class="card-body d-flex justify-content-center align-items-center gap-3">
                <div class="counter_icon">
                    <i class="fa-solid fa-network-wired"></i>
                </div>
                <div>
                    <h5 class="card-title text-capitalize fw-bold fs-19"><?php echo e(localize('today_subscribers')); ?></h5>
                    <p class="card-text fw-semi-bold"><?php echo e($today_subscribers); ?></p> 
                </div>               
            </div>
        </div>
        <div class="card">              
            <div class="card-body d-flex justify-content-center align-items-center gap-3">
                <div class="counter_icon">
                    <i class="fa-solid fa-paste"></i>
                </div>
                <div>
                    <h5 class="card-title text-capitalize fw-bold fs-19"><?php echo e(localize('total_reporters')); ?></h5>
                    <p class="card-text fw-semi-bold"><?php echo e($user->total_reporter); ?></p> 
                </div>               
            </div>
        </div>
    </section>

    
    <section class="grid_section_two my-4">
        
        <div class="card">
            <div class="card-header">
                <h6 class="fs-17 font-weight-600 mb-0"><?php echo e(ucwords(localize('last_week_performance'))); ?></h6>
            </div>
            <div class="card-body">
                <div id="donut_Chart"></div>
            </div>
        </div>
        
        <div class="card">
            <div class="card-header d-flex justify-content-between">
                <div>
                    <h6 class="header-pretitle text-muted fs-11 font-weight-bold text-uppercase mb-1">
                        <?php echo e(localize('overview')); ?>

                    </h6>

                    <h1 class="header-title fs-21 font-weight-bold">
                        <?php echo e(localize('performance')); ?>

                    </h1>

                </div>
                <div class="d-flex ">
                    <a href="#" id="0" class="nav-link text-center" data-toggle="tab">
                        <h6 class="header-pretitle text-muted fs-11 font-weight-bold text-uppercase mb-1">
                            <?php echo e(localize('posts')); ?>

                        </h6>
                        <h3 class="mb-0 fs-16 font-weight-bold">
                            <?php echo e($yearly_total_post->total_post); ?>

                        </h3>
                    </a>

                    <a href="#" id="1" class="nav-link text-center" data-toggle="tab">
                        <h6 class="header-pretitle text-muted fs-11 font-weight-bold text-uppercase mb-1">
                            <?php echo e(localize('Read_Hit')); ?>

                        </h6>
                        <h3 class="mb-0 fs-16 font-weight-bold">
                            <?php echo e($yearly_total_post->read_hit); ?>

                        </h3>
                    </a>
                </div>

            </div>
            <div class="card-body">
                <div class="chart">
                    <div id="forecast"></div>
                </div>
            </div>
        </div>        
    </section>
    
    <section class="dashboard_report_table">
        <div class="card">
            <div class="card-header">
                <h6 class="fs-17 font-weight-600 mb-0"><?php echo e(ucwords(localize('latest_posts'))); ?></h6>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="example" class="table display table-bordered table-striped table-hover">
                        <thead>
                            <tr>
                                <th><?php echo e(localize('image')); ?></th>
                                <th><?php echo e(localize('title')); ?></th>
                                <th><?php echo e(localize('category')); ?></th>
                                <th><?php echo e(localize('reporter')); ?></th>
                                <th><?php echo e(localize('read_hit')); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $latest_posts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $latest): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php
                                    $imageurl = '';
                                    $imageurl = (storage_asset_image($latest->thumb_image) ?? null); // Default image URL if image_base_url is empty
                                ?>

                                <tr>
                                    <td>
                                        <?php
                                            if($latest->thumb_image != null){
                                        ?>
                                                <img src="<?php echo e($imageurl); ?>" width="60">
                                        <?php
                                            }else{
                                        ?>
                                                <span>N/A</span>
                                        <?php
                                            }
                                        ?>
                                    </td>
                                    <td><?php echo e($latest->title); ?></td>
                                    <td><?php echo e($latest->category_name); ?></td>
                                    <td><?php echo e($latest->name); ?></td>
                                    <td><?php echo e($latest->reader_hit); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                <h6 class="fs-17 font-weight-600 mb-0"><?php echo e(ucwords(localize('popular_posts'))); ?></h6>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="example2" class="table display table-bordered table-striped table-hover">
                        <thead>
                            <tr>
                                <th><?php echo e(localize('image')); ?></th>
                                <th><?php echo e(localize('title')); ?></th>
                                <th><?php echo e(localize('category')); ?></th>
                                <th><?php echo e(localize('reporter')); ?></th>
                                <th><?php echo e(localize('read_hit')); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $populer_posts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $populer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php
                                    $imageurl = '';
                                    $imageurl = (storage_asset_image($populer->thumb_image) ?? null); // Default image URL if image_base_url is empty
                                ?>

                                <tr>
                                    <td>
                                        <?php
                                            if($populer->thumb_image != null){
                                        ?>
                                                <img src="<?php echo e($imageurl); ?>" width="60">
                                        <?php
                                            }else{
                                        ?>
                                                <span>N/A</span>
                                        <?php
                                            }
                                        ?>
                                    </td>
                                    <td><?php echo e($populer->title); ?></td>
                                    <td><?php echo e($populer->category_name); ?></td>
                                    <td><?php echo e($populer->name); ?></td>
                                    <td><?php echo e($populer->reader_hit); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </section>
    

    <input type="hidden" id="last_week_total_post" value="<?php echo e($lastWeekPost->total_post); ?>">
    <input type="hidden" id="last_week_read_hit" value="<?php echo e($lastWeekPost->read_hit); ?>">
    <input type="hidden" id="last_week_comments" value="<?php echo e($lastWeekComments); ?>">

    <input type="hidden" id="months_data" value="<?php echo e($month_names); ?>">
    <input type="hidden" id="read_hit_data" value="<?php echo e($read_hits_data); ?>">

    <input type="hidden" id="lang_posts" value="<?php echo e(localize('posts')); ?>">
    <input type="hidden" id="lang_read_hit" value="<?php echo e(ucwords(localize('read_hit'))); ?>">
    <input type="hidden" id="lang_comments" value="<?php echo e(localize('comments')); ?>">
    <input type="hidden" id="lang_performance" value="<?php echo e(ucwords(localize('performance'))); ?>">
    
<?php $__env->stopSection(); ?>

<?php $__env->startPush('js'); ?>
    <script src="<?php echo e(asset('backend/assets/plugins/apexcharts/dist/apexcharts.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/dist/js/dashboardChart.js?v=1')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('backend.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/admin/resources/views/backend/layouts/home.blade.php ENDPATH**/ ?>