<!-- Sidebar  -->
<nav class="sidebar sidebar-bunker">
    <div class="sidebar-header">
        <a href="<?php echo e(route('home')); ?>" class="sidebar-brand w-100">
            <img class="sidebar-logo sidebar_brand_icon w-100"
                src="<?php echo e(app_setting()->sidebar_logo ?? asset('assets/logo.png')); ?>" alt="<?php echo e(localize('logo')); ?>">
            <img class="collapsed-logo" src="<?php echo e(app_setting()->sidebar_collapsed_logo ?? asset('assets/mini-logo.png')); ?>"
                alt="<?php echo e(localize('logo')); ?>">
        </a>
    </div>
    <!--/.sidebar header-->
    <div class="sidebar-body">
        <div class="search sidebar-form">
            <div class="search__inner sidebar-search">
                <input id="search" type="text" class="form-control search__text" placeholder="Menu Search..."
                    autocomplete="off">
                
            </div>
        </div>
        <nav class="sidebar-nav">
            <ul class="metismenu">
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_dashboard')): ?>
                    <li class="<?php echo e(request()->is('dashboard') ? 'mm-active' : ''); ?>">
                        <a href="<?php echo e(route('home')); ?>">
                            <i class="fa fa-home"></i>
                            <span><?php echo e(localize('dashboard')); ?></span>
                        </a>
                    </li>
                <?php endif; ?>

                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['create_news', 'read_news'])): ?>
                    <li class="<?php echo e(request()->is('news*') ? 'mm-active' : ''); ?>">
                        <a class="has-arrow material-ripple" href="#">
                            <i class="fa fa-th-list"></i>
                            <span> <?php echo e(localize_uc('news')); ?></span>
                        </a>
                        <ul class="nav-second-level <?php echo e(request()->is('news*') ? 'mm-show' : ''); ?>">
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('create_news')): ?>
                                <li class="<?php echo e((request()->routeIs('news.create') || request()->routeIs('news.edit')) ? 'mm-active' : ''); ?>">
                                    <a class="dropdown-item" href="<?php echo e(route('news.create')); ?>"><?php echo e(localize_uc('add_news')); ?></a>
                                </li>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_news')): ?>
                                <li class="<?php echo e(request()->routeIs('news.index') ? 'mm-active' : ''); ?>">
                                    <a class="dropdown-item" href="<?php echo e(route('news.index')); ?>"><?php echo e(localize_uc('news_list')); ?></a>
                                </li>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_post')): ?>
                                <li class="<?php echo e(request()->routeIs('news.post.*') ? 'mm-active' : ''); ?>">
                                    <a class="dropdown-item" href="<?php echo e(route('news.post.create')); ?>"><?php echo e(localize_uc('photo_post')); ?></a>
                                </li>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_breaking_news')): ?>
                                <li class="<?php echo e(request()->routeIs('news.breaking-news.index') ? 'mm-active' : ''); ?>">
                                    <a class="dropdown-item" href="<?php echo e(route('news.breaking-news.index')); ?>"><?php echo e(localize_uc('breaking_news')); ?></a>
                                </li>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_positioning')): ?>
                                <li class="<?php echo e(request()->routeIs('news.position.index') ? 'mm-active' : ''); ?>">
                                    <a class="dropdown-item" href="<?php echo e(route('news.position.index')); ?>"><?php echo e(localize_uc('positioning')); ?></a>
                                </li>
                            <?php endif; ?>
                        </ul>
                    </li>
                <?php endif; ?>

                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['create_media_library', 'read_media_library'])): ?>
                    <li class="<?php echo e(request()->is('photo-library*') ? 'mm-active' : ''); ?>">
                        <a class="has-arrow material-ripple" href="#">
                            <i class="fa fa-film"></i>
                            <span> <?php echo e(localize_uc('media_library')); ?></span>
                        </a>
                        <ul class="nav-second-level <?php echo e(request()->is('photo-library*') ? 'mm-show' : ''); ?>">
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('create_media_library')): ?>
                                <li class="<?php echo e(request()->routeIs('photo-library.create') ? 'mm-active' : ''); ?>">
                                    <a class="dropdown-item" href="<?php echo e(route('photo-library.create')); ?>"><?php echo e(localize_uc('photo_upload')); ?></a>
                                </li>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_photo_list')): ?>
                                <li class="<?php echo e(request()->routeIs('photo-library.index') ? 'mm-active' : ''); ?>">
                                    <a class="dropdown-item" href="<?php echo e(route('photo-library.index')); ?>"><?php echo e(localize_uc('photo_list')); ?></a>
                                </li>
                            <?php endif; ?>
                        </ul>
                    </li>
                <?php endif; ?>

                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['read_menu_setup'])): ?>
                    <li class="<?php echo e(request()->is('menu*') ? 'mm-active' : ''); ?>">
                        <a class="has-arrow material-ripple" href="#">
                            <i class="fas fa-gift"></i>
                            <span> <?php echo e(localize_uc('menu')); ?></span>
                        </a>
                        <ul class="nav-second-level <?php echo e(request()->is('menu*') ? 'mm-show' : ''); ?>">
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_menu_setup')): ?>
                                <li class="<?php echo e(request()->routeIs('menu.index') ? 'mm-active' : ''); ?>">
                                    <a class="dropdown-item" href="<?php echo e(route('menu.index')); ?>"><?php echo e(localize_uc('menu_list')); ?></a>
                                </li>
                            <?php endif; ?>
                        </ul>
                    </li>
                <?php endif; ?>


                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_category')): ?>
                    <li class="<?php echo e(request()->is('category*') ? 'mm-active' : ''); ?>">
                        <a class="has-arrow material-ripple" href="#">
                            <i class="fa fa-tags"></i>
                            <span> <?php echo e(localize('categories')); ?></span>
                        </a>
                        <ul class="nav-second-level <?php echo e(request()->is('category*') ? 'mm-show' : ''); ?>">
                            <li class="<?php echo e(request()->is('category/list_of_categories') ? 'mm-active' : ''); ?>">
                                <a class="dropdown-item" href="<?php echo e(route('category.index')); ?>"><?php echo e(ucwords(localize('category_list'))); ?></a>
                            </li>
                        </ul>
                    </li>
                <?php endif; ?>

                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_archive_setting')): ?>
                    <li class="<?php echo e(request()->is('archive*') ? 'mm-active' : ''); ?>">
                        <a class="has-arrow material-ripple" href="#">
                            <i class="fa fa-archive"></i>
                            <span> <?php echo e(ucwords(localize('archive'))); ?></span>
                        </a>
                        <ul class="nav-second-level <?php echo e(request()->is('archive*') ? 'mm-show' : ''); ?>">
                            <li class="<?php echo e(request()->is('archive/maximum_archive_settings_view') ? 'mm-active' : ''); ?>">
                                <a class="dropdown-item" href="<?php echo e(route('archive.index')); ?>"><?php echo e(ucwords(localize('archive_setting'))); ?></a>
                            </li>
                        </ul>
                    </li>
                <?php endif; ?>

                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_advertise')): ?>
                    <li class="<?php echo e(request()->is('advertise*') ? 'mm-active' : ''); ?>">
                        <a class="has-arrow material-ripple" href="#">
                            <i class="fa fa-volume-up"></i>
                            <span> <?php echo e(localize('advertisement')); ?></span>
                        </a>
                        <ul class="nav-second-level <?php echo e(request()->is('advertise*') ? 'mm-show' : ''); ?>">
                            <li class="<?php echo e(request()->is('advertise/view_ads') ? 'mm-active' : ''); ?>">
                                <a class="dropdown-item" href="<?php echo e(route('advertise.index')); ?>"><?php echo e(ucwords(localize('advertisement_list'))); ?></a>
                            </li>
                        </ul>
                    </li>
                <?php endif; ?>

                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_rss_sitemap_link')): ?>
                    <li class="<?php echo e(request()->is('rss_feeds*') ? 'mm-active' : ''); ?>">
                        <a class="has-arrow material-ripple" href="#">
                            <i class="fa fa-rss"></i>
                            <span> <?php echo e(ucwords(localize('rss_feeds'))); ?></span>
                        </a>
                        <ul class="nav-second-level <?php echo e(request()->is('rss_feeds*') ? 'mm-show' : ''); ?>">
                            <li class="<?php echo e(request()->is('rss_feeds/rss-sitemap') ? 'mm-active' : ''); ?>">
                                <a class="dropdown-item" href="<?php echo e(route('rss_feeds.index')); ?>"><?php echo e(localize('rss_and_sitemap_link')); ?></a>
                            </li>
                        </ul>
                    </li>
                <?php endif; ?>

                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_reporter')): ?>
                    <li class="<?php echo e(request()->is('reporter*') ? 'mm-active' : ''); ?>">
                        <a class="has-arrow material-ripple" href="#">
                            <i class="fa fa-user"></i>
                            <span> <?php echo e(ucwords(localize('reporter'))); ?></span>
                        </a>
                        <ul class="nav-second-level <?php echo e(request()->is('reporter*') ? 'mm-show' : ''); ?>">
                            <li class="<?php echo e(request()->is('reporter/reporter-list') ? 'mm-active' : ''); ?>">
                                <a class="dropdown-item" href="<?php echo e(route('reporter.index')); ?>"><?php echo e(ucwords(localize('reporter_list'))); ?></a>
                            </li>
                        </ul>
                    </li>
                <?php endif; ?>

                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_page')): ?>
                    <li class="<?php echo e(request()->is('page*') ? 'mm-active' : ''); ?>">
                        <a class="has-arrow material-ripple" href="#">
                            <i class="fa fa-list"></i>
                            <span> <?php echo e(ucwords(localize('page'))); ?></span>
                        </a>
                        <ul class="nav-second-level <?php echo e(request()->is('page*') ? 'mm-show' : ''); ?>">
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('create_page')): ?>
                                <li class="<?php echo e(request()->is('page/create-new-page') ? 'mm-active' : ''); ?>">
                                    <a class="dropdown-item" href="<?php echo e(route('page.create')); ?>"><?php echo e(ucwords(localize('add_new_page'))); ?></a>
                                </li>
                            <?php endif; ?>
                            <li class="<?php echo e(request()->is('page/pages') ? 'mm-active' : ''); ?>">
                                <a class="dropdown-item" href="<?php echo e(route('page.index')); ?>"><?php echo e(ucwords(localize('page_list'))); ?></a>
                            </li>
                        </ul>
                    </li>
                <?php endif; ?>

                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_seo')): ?>
                    <li class="<?php echo e(request()->is('seo*') ? 'mm-active' : ''); ?>">
                        <a class="has-arrow material-ripple" href="#">
                            <i class="fa fa-random"></i>
                            <span> <?php echo e(strtoupper(ucwords(localize('seo')))); ?></span>
                        </a>
                        <ul class="nav-second-level <?php echo e(request()->is('seo*') ? 'mm-show' : ''); ?>">
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_meta_setting')): ?>
                                <li class="<?php echo e(request()->is('seo/meta-setting') ? 'mm-active' : ''); ?>">
                                    <a class="dropdown-item" href="<?php echo e(route('seo.index')); ?>"><?php echo e(ucwords(localize('meta_setting'))); ?></a>
                                </li>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_social_site')): ?>
                                <li class="<?php echo e(request()->is('seo/social-sites') ? 'mm-active' : ''); ?>">
                                    <a class="dropdown-item" href="<?php echo e(route('seo.social_sites')); ?>"><?php echo e(ucwords(localize('social_site'))); ?></a>
                                </li>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_social_link')): ?>
                                <li class="<?php echo e(request()->is('seo/social-link') ? 'mm-active' : ''); ?>">
                                    <a class="dropdown-item" href="<?php echo e(route('seo.social_link')); ?>"><?php echo e(ucwords(localize('social_link'))); ?></a>
                                </li>
                            <?php endif; ?>
                        </ul>
                    </li>
                <?php endif; ?>

                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_web_setup')): ?>
                    <li class="<?php echo e(request()->is('web-setup*') ? 'mm-active' : ''); ?>">
                        <a class="has-arrow material-ripple" href="#">
                            <i class="fa fa-gear"></i>
                            <span> <?php echo e(ucwords(localize('web_setup'))); ?></span>
                        </a>
                        <ul class="nav-second-level <?php echo e(request()->is('web-setup*') ? 'mm-show' : ''); ?>">
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_setup_top_breaking_post')): ?>
                                <li class="<?php echo e(request()->is('web-setup/setup-top-breaking') ? 'mm-active' : ''); ?>">
                                    <a class="dropdown-item" href="<?php echo e(route('view_setup.index')); ?>"><?php echo e(ucwords(localize('setup_top_breaking_post'))); ?></a>
                                </li>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_home_page')): ?>
                                <li class="<?php echo e(request()->is('web-setup/home-page-settings') ? 'mm-active' : ''); ?>">
                                    <a class="dropdown-item" href="<?php echo e(route('view_setup.home_page_setup')); ?>"><?php echo e(ucwords(localize('home_page'))); ?></a>
                                </li>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_contact_page_setup')): ?>
                                <li class="<?php echo e(request()->is('web-setup/contact-page-setup') ? 'mm-active' : ''); ?>">
                                    <a class="dropdown-item" href="<?php echo e(route('view_setup.contact_page_setup')); ?>"><?php echo e(ucwords(localize('contact_page_setup'))); ?></a>
                                </li>
                            <?php endif; ?>
                        </ul>
                    </li>
                <?php endif; ?>

                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_setting')): ?>
                    <li
                        class="<?php echo e(request()->is('setting*') || request()->is('role*') || request()->is('applications*') || request()->is('currencies*') || request()->is('mails*') || request()->is('sms*') || request()->is('password*') || request()->is('user*') || request()->is('localize*') || request()->is('database-backup-reset*') || request()->is('access-log*') ? 'mm-active' : ''); ?>">
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('read_application')): ?>
                            <a href="<?php echo e(route('applications.application')); ?>">
                                <i class="fa fa-cogs"></i>
                                <span><?php echo e(localize('settings')); ?></span>
                            </a>
                        <?php endif; ?>
                    </li>
                <?php endif; ?>
            </ul>
        </nav>
    </div>
    <!-- sidebar-body -->
</nav>
<?php /**PATH /var/www/html/admin/resources/views/backend/layouts/sidebar.blade.php ENDPATH**/ ?>